commit 2c39f2490c060b1771f2166b4455e790ac5968eb
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jun 18 15:40:26 2024 -0400

    Release 1.28.2

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ef970c587da92f572a7af79de50c0cc4179400ba
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Jun 18 15:36:25 2024 +0200

    status-notifier: Plug large leak with icons from paths
    
    When loading an icon from a path rather than the icon theme, we scale
    it down to match the scale we need[^1], but we leaked the original
    pixbuf in this case.
    
    Fixes #1444.
    
    [^1]: See commit e5c8646d8f6167fe2d3634a4604a1bf9ec8ee5af

 applets/notification_area/status-notifier/sn-item-v0.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c1ee68665e937a380422e05fb1f10b77aaa1f3e7
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jun 18 13:16:00 2024 -0400

    Fix travis deploy

 .travis.yml | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c365f4419b9ea9d00f7fb120afca3bdf50a8c821
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Apr 3 23:48:22 2024 -0400

    Release 1.28.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 3ff43c7fa14e43c60307bdb95b8182868f23bfde
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Apr 3 23:17:51 2024 -0400

    Build: require mate-desktop 1.28.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4193d26de16b2b18e7a6dac114d3ccd200674952
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Mar 17 21:44:41 2024 -0400

    ci: use mate-desktop 1.28.2 upon which this depends

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5f0878a45c383983ebf67b6366a1989b0bea878
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Mar 6 13:27:48 2024 -0500

    Use MateImageMenuItem properly
    
    switch out the last vestiges of deprecated GtkImageMenuItem

 mate-panel/panel-menu-items.h | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 83da4d5e069cb428fd8032f4ab5f2e4642910787
Author: raveit65 <mate@raveit.de>
Date:   Tue Feb 20 02:20:26 2024 +0100

    release 1.28.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit c36e374f45e7d4d153aa743c42e141030f3344be
Author: raveit65 <mate@raveit.de>
Date:   Tue Feb 20 02:18:25 2024 +0100

    tx: sync with transifex

 po/ja.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 7169a9f0bca49b46db343d19d67482cf322f6b8c
Author: raveit65 <mate@raveit.de>
Date:   Sun Feb 4 19:43:35 2024 +0100

    release 1.27.3

 NEWS         | 69 ++++++++++++++++++++++++++++++++++++++++++++----------------
 configure.ac |  2 +-
 2 files changed, 52 insertions(+), 19 deletions(-)

commit ebf811fe770a93fea355e2245984e1d0b402d936
Author: raveit65 <mate@raveit.de>
Date:   Sun Feb 4 18:59:26 2024 +0100

    tx: sync with transifex

 help/mate-clock/de/de.po      |    2 +-
 help/mate-clock/it/it.po      |    2 +-
 help/mate-clock/ja/ja.po      |    6 +-
 help/mate-clock/ko/ko.po      |    4 +-
 help/mate-clock/la/la.po      |  687 +++++++++
 help/mate-clock/nb/nb.po      |    2 +-
 help/mate-fish/de/de.po       |    2 +-
 help/mate-fish/it/it.po       |    2 +-
 help/mate-fish/ja/ja.po       |    6 +-
 help/mate-fish/ko/ko.po       |    4 +-
 help/mate-fish/ku_IQ/ku_IQ.po |    6 +-
 help/mate-fish/la/la.po       |    7 +-
 help/mate-fish/nan/nan.po     |  435 ++++++
 help/mate-fish/nb/nb.po       |    2 +-
 help/mate-fish/ru/ru.po       |    2 +-
 po/LINGUAS                    |    1 +
 po/af.po                      |  224 ++-
 po/am.po                      |  205 +--
 po/ar.po                      |  222 ++-
 po/as.po                      |  224 ++-
 po/ast.po                     |  226 ++-
 po/az.po                      |  219 ++-
 po/be.po                      |  231 ++-
 po/bg.po                      |  225 ++-
 po/bn.po                      |  219 ++-
 po/bn_IN.po                   |  224 ++-
 po/br.po                      |  229 ++-
 po/bs.po                      |  222 ++-
 po/ca.po                      |  231 ++-
 po/ca@valencia.po             |  230 ++-
 po/cmn.po                     |  216 +--
 po/crh.po                     |  223 ++-
 po/cs.po                      |  223 ++-
 po/cy.po                      |  222 ++-
 po/da.po                      |  247 ++--
 po/de.po                      |  237 ++--
 po/dz.po                      |  231 ++-
 po/el.po                      |  232 ++-
 po/en_AU.po                   |  225 ++-
 po/en_CA.po                   |  221 ++-
 po/en_GB.po                   |  232 +--
 po/eo.po                      |  221 ++-
 po/es.po                      |  235 ++--
 po/es_AR.po                   |  199 +--
 po/es_CL.po                   |  199 +--
 po/es_CO.po                   |  199 +--
 po/es_CR.po                   |  199 +--
 po/es_DO.po                   |  199 +--
 po/es_EC.po                   |  199 +--
 po/es_ES.po                   |  199 +--
 po/es_MX.po                   |  199 +--
 po/es_NI.po                   |  199 +--
 po/es_PA.po                   |  199 +--
 po/es_PE.po                   |  199 +--
 po/es_PR.po                   |  199 +--
 po/es_SV.po                   |  199 +--
 po/es_UY.po                   |  199 +--
 po/es_VE.po                   |  199 +--
 po/et.po                      |  224 ++-
 po/eu.po                      |  224 ++-
 po/fa.po                      |  222 ++-
 po/fi.po                      |  225 ++-
 po/fr.po                      |  231 ++-
 po/fr_CA.po                   |  199 +--
 po/frp.po                     |  199 +--
 po/fur.po                     |  222 ++-
 po/fy.po                      |  199 +--
 po/ga.po                      |  199 +--
 po/gl.po                      |  228 ++-
 po/gu.po                      |  220 ++-
 po/ha.po                      |  226 ++-
 po/he.po                      |  225 ++-
 po/hi.po                      |  220 ++-
 po/hr.po                      |  222 ++-
 po/hu.po                      |  230 ++-
 po/hy.po                      |  222 ++-
 po/ia.po                      |  199 +--
 po/id.po                      |  247 ++--
 po/ie.po                      |  199 +--
 po/ig.po                      |  221 ++-
 po/is.po                      |  222 ++-
 po/it.po                      |  263 ++--
 po/ja.po                      |  265 ++--
 po/jv.po                      |  199 +--
 po/ka.po                      |  225 ++-
 po/kab.po                     |  199 +--
 po/kk.po                      |  199 +--
 po/kn.po                      |  227 ++-
 po/ko.po                      |  221 ++-
 po/ku.po                      |  221 ++-
 po/ku_IQ.po                   |  199 +--
 po/ky.po                      |  224 ++-
 po/li.po                      |  199 +--
 po/lt.po                      |  225 ++-
 po/lv.po                      |  223 ++-
 po/mai.po                     |  219 ++-
 po/mg.po                      |  227 ++-
 po/mi.po                      |  199 +--
 po/mk.po                      |  221 ++-
 po/ml.po                      |  223 ++-
 po/mn.po                      |  219 ++-
 po/mr.po                      |  225 ++-
 po/ms.po                      |  223 ++-
 po/nan.po                     | 3115 +++++++++++++++++++++++++++++++++++++++++
 po/nb.po                      |  235 ++--
 po/nds.po                     |  199 +--
 po/ne.po                      |  222 ++-
 po/nl.po                      |  236 ++--
 po/nn.po                      |  223 ++-
 po/nso.po                     |  225 ++-
 po/oc.po                      |  231 ++-
 po/or.po                      |  219 ++-
 po/pa.po                      |  222 ++-
 po/pl.po                      |  346 ++---
 po/pms.po                     |  199 +--
 po/ps.po                      |  199 +--
 po/pt.po                      |  228 ++-
 po/pt_BR.po                   |  229 ++-
 po/ro.po                      |  222 ++-
 po/ru.po                      |  229 ++-
 po/rw.po                      |  199 +--
 po/sc.po                      |  199 +--
 po/si.po                      |  199 +--
 po/sk.po                      |  223 ++-
 po/sl.po                      |  225 ++-
 po/sq.po                      |  221 ++-
 po/sr.po                      |  269 ++--
 po/sr@latin.po                |  222 ++-
 po/sv.po                      |  232 ++-
 po/ta.po                      |  219 ++-
 po/te.po                      |  222 ++-
 po/th.po                      |  226 ++-
 po/tk.po                      |  199 +--
 po/tr.po                      |  227 ++-
 po/ug.po                      |  224 ++-
 po/uk.po                      |  232 ++-
 po/ur.po                      |  199 +--
 po/uz.po                      |  199 +--
 po/vi.po                      |  228 ++-
 po/wa.po                      |  199 +--
 po/xh.po                      |  224 ++-
 po/yi.po                      |  199 +--
 po/yo.po                      |  226 ++-
 po/zh_CN.po                   |  240 ++--
 po/zh_HK.po                   |  214 +--
 po/zh_TW.po                   |  235 ++--
 po/zu.po                      |  222 ++-
 147 files changed, 18535 insertions(+), 14288 deletions(-)

commit 63952b76ef6fce89854d0868d5337230c2ba4b38
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Nov 21 21:12:36 2023 +0100

    Constify some pointer references in locals
    
    No need to have pointers to mutables when not needed.
    
    This does not cover everything at all, and is limited to one file for
    the moment.
    
    origin commit was:
    https://github.com/mate-desktop/mate-panel/commit/b913762

 mate-panel/panel-widget.c | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit 406e09ec637deeafe6d34361c8896df6bbfef22b
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:39:56 2023 +0100

    Reduce scope of more code
    
    The computed values are only used in one branch, so compute them there.

 mate-panel/libpanel-util/panel-color.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit d437f5bba6a55ef585a2d51beadf68d71f7f7221
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:31:27 2023 +0100

    Avoid a redundant NULL check
    
    It's probably not necessary to perform the NULL check at all as the
    only code paths that could make `list` NULL are already pretty
    dramatically broken, but as we have a NULL check move everything
    relevant inside it.

 mate-panel/panel-profile.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 62fabfc793b545250dafaf37f75650cbfdce095f
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:10:11 2023 +0100

    Reduce scope of variables
    
    Mostly found by cppcheck.
    
    origin commit was:
    https://github.com/mate-desktop/mate-panel/commit/96c7ebc

 applets/clock/calendar-window.c                    |  4 ++--
 applets/clock/clock.c                              | 15 ++++++--------
 applets/notification_area/na-grid.c                |  5 +++--
 .../notification_area/status-notifier/sn-host-v0.c |  3 +--
 .../notification_area/status-notifier/sn-item-v0.c |  3 +--
 .../system-tray/na-tray-manager.c                  |  3 +--
 libmate-panel-applet/mate-panel-applet-gsettings.c |  8 ++++----
 mate-panel/button-widget.c                         |  6 +++---
 .../panel-applets-manager-dbus.c                   | 13 ++++++------
 mate-panel/libpanel-util/panel-color.c             |  8 +++++---
 mate-panel/libpanel-util/panel-gtk.c               |  3 +--
 mate-panel/libpanel-util/panel-keyfile.c           |  5 +++--
 mate-panel/mate-desktop-item-edit.c                |  3 +--
 mate-panel/panel-lockdown.c                        |  8 ++------
 mate-panel/panel-menu-items.c                      | 24 ++++++++++------------
 mate-panel/panel-multimonitor.c                    |  3 +--
 mate-panel/panel-profile.c                         |  4 +---
 mate-panel/panel-test-applets.c                    |  5 ++---
 mate-panel/panel-widget.c                          |  2 --
 19 files changed, 55 insertions(+), 70 deletions(-)

commit f98be9734446e1b620312b69dc8fa8ed0f0997d9
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 02:55:04 2024 +0100

    Revert "Add "center-stick" capability applets on the panel"
    
    This reverts commit 38e00280e9d17282717595a05411736a308804c0.

 data/default.layout                       |   6 +-
 data/fedora.layout                        |   8 +-
 data/linuxmint.layout                     |   4 +-
 data/mageia.layout                        |   6 +-
 data/opensuse.layout                      |   8 +-
 data/org.mate.panel.object.gschema.xml.in |   9 +-
 data/ubuntu.layout                        |  16 +-
 mate-panel/applet.c                       |  93 ++++----
 mate-panel/applet.h                       |  14 +-
 mate-panel/drawer.c                       |   4 +-
 mate-panel/launcher.c                     |   3 +-
 mate-panel/panel-action-button.c          |   2 +-
 mate-panel/panel-applet-frame.c           |   2 +-
 mate-panel/panel-enums-gsettings.h        |   6 -
 mate-panel/panel-layout.c                 |   1 -
 mate-panel/panel-menu-bar.c               |   2 +-
 mate-panel/panel-menu-button.c            |   2 +-
 mate-panel/panel-profile.c                |  75 ++-----
 mate-panel/panel-profile.h                |  30 +--
 mate-panel/panel-schemas.h                |   1 -
 mate-panel/panel-separator.c              |   2 +-
 mate-panel/panel-toplevel.c               |  28 ++-
 mate-panel/panel-widget.c                 | 339 +++++++-----------------------
 mate-panel/panel-widget.h                 |   6 +-
 mate-panel/panel.c                        |  12 +-
 mate-panel/panel.h                        |   2 +-
 26 files changed, 222 insertions(+), 459 deletions(-)

commit 53bfbaac0c874932503d3481a91ed96476212682
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 02:54:39 2024 +0100

    Revert "Fix center- and right-sticking of expanding applets"
    
    This reverts commit 7b1b00d5ddffc349ca117843bd0d015e9fb08a89.

 mate-panel/panel-widget.c | 147 ++++++++--------------------------------------
 1 file changed, 26 insertions(+), 121 deletions(-)

commit e663fbaeba760003b4088e567af0883534891e59
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 02:53:56 2024 +0100

    Revert "Reduce scope of variables"
    
    This reverts commit 96c7ebc6dc9e8b8327db04a9570054ee78743353.

 applets/clock/calendar-window.c                    |  4 ++--
 applets/clock/clock.c                              | 15 ++++++++------
 applets/notification_area/na-grid.c                |  5 ++---
 .../notification_area/status-notifier/sn-host-v0.c |  3 ++-
 .../notification_area/status-notifier/sn-item-v0.c |  3 ++-
 .../system-tray/na-tray-manager.c                  |  3 ++-
 libmate-panel-applet/mate-panel-applet-gsettings.c |  8 ++++----
 mate-panel/button-widget.c                         |  6 +++---
 .../panel-applets-manager-dbus.c                   | 13 ++++++------
 mate-panel/libpanel-util/panel-color.c             |  8 +++-----
 mate-panel/libpanel-util/panel-gtk.c               |  3 ++-
 mate-panel/libpanel-util/panel-keyfile.c           |  5 ++---
 mate-panel/mate-desktop-item-edit.c                |  3 ++-
 mate-panel/panel-lockdown.c                        |  8 ++++++--
 mate-panel/panel-menu-items.c                      | 24 ++++++++++++----------
 mate-panel/panel-multimonitor.c                    |  3 ++-
 mate-panel/panel-profile.c                         |  4 +++-
 mate-panel/panel-test-applets.c                    |  5 +++--
 mate-panel/panel-widget.c                          |  9 +++++---
 19 files changed, 74 insertions(+), 58 deletions(-)

commit 6a9848eb8388807d13c38cdaceabfc143f6640aa
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 02:53:36 2024 +0100

    Revert "Avoid a redundant NULL check"
    
    This reverts commit 17b87e321bfca409c31ce4b4e0e3326eeef92b88.

 mate-panel/panel-profile.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 03f528e7c28cddf1fd68cb63ee4372d715aeacc2
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 02:53:16 2024 +0100

    Revert "Reduce scope of more code"
    
    This reverts commit 655a8f484598a07a210dc56f1662021f8be69737.

 mate-panel/libpanel-util/panel-color.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit a28797be4ad70d1546a7071af60ddf1a726a5c46
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 02:52:52 2024 +0100

    Revert "Constify some pointer references in locals"
    
    This reverts commit b91376262abb56d95f9ec86993edaa8e9fb2cc1a.

 mate-panel/panel-widget.c | 60 +++++++++++++++++++++++------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit c7b20bf68329757738c70032f0269758294d5f59
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Jan 6 18:30:46 2024 -0500

    wayland: keep window list menu off space not used for buttons
    
    *Fix the window list menu replacing the panel context menu between the end of the window list and the next applet

 libmate-panel-applet/mate-panel-applet.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit ad39a8ba88f4286c8f1e5f0cb9ac2b89b1d79726
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Thu Jan 25 10:53:38 2024 +0100

    run-dialog: Don't needlessly override DISPLAY environment variable
    
    This code got introduced with 3c21f66bf30810fcb25dfe8c3c0960df270dc416
    trying to mimic `gdk_spawn_on_screen()`, but does not: what
    `gdk_spawn_on_screen()` did (on X11) was to append the screen number to
    the display, so that it worked on a multi-screen setup where the app is
    not on the default X screen.
    
    However, the code that got introduced just sets the display, which is
    gonna be already there anyway (yet possibly loosing the default screen
    in the process?), and AFAIK GDK dropped support for multi-screen setups
    anyway (not to be confused with multi-monitor with e.g. Xinerama).
    
    We should actually be better of without any of this, as it most likely
    doesn't do what it is supposed to, nobody needs what it failed to do,
    and it breaks XWayland on Wayland.
    
    Fixes #1387.

 mate-panel/panel-run-dialog.c | 22 ++--------------------
 1 file changed, 2 insertions(+), 20 deletions(-)

commit 5f5d0a538d5fadb54c20bb92a5f737b7bcd1d06f
Author: raveit65 <mate@raveit.de>
Date:   Tue Jan 23 12:09:39 2024 +0100

    ci: use ubuntu jammy as docker

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f608c40f5b8256aea281804369760a1eb2696be2
Author: zhu yaliang <zhuyaliang@loongson.cn>
Date:   Thu Dec 28 10:00:31 2023 +0800

    Update opacity when changed gsettings color value

 mate-panel/panel-properties-dialog.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit cb1a440f1f3f740bbaeb9577465c999c67f5c80a
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Nov 21 15:23:46 2023 -0500

    wnck-pager: Fix workspace switcher aspect ratio

 applets/wncklet/workspace-switcher.c | 154 ++++++++++++++++++++++++++++++++++-
 1 file changed, 153 insertions(+), 1 deletion(-)

commit b91376262abb56d95f9ec86993edaa8e9fb2cc1a
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Nov 21 21:12:36 2023 +0100

    Constify some pointer references in locals
    
    No need to have pointers to mutables when not needed.
    
    This does not cover everything at all, and is limited to one file for
    the moment.

 mate-panel/panel-widget.c | 60 +++++++++++++++++++++++------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit 655a8f484598a07a210dc56f1662021f8be69737
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:39:56 2023 +0100

    Reduce scope of more code
    
    The computed values are only used in one branch, so compute them there.

 mate-panel/libpanel-util/panel-color.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 6a3df1342b957f0293c7a9f05b3037dff3156487
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:32:56 2023 +0100

    Remove a redundant NULL check
    
    `info` cannot be NULL, and if it was it'd already have crashed above.
    
    > mate-panel/panel.c:893:34: warning: Either the condition 'info!=((void*)0)' is redundant or there is possible null pointer dereference: info. [nullPointerRedundantCheck]
    >  parent = gtk_widget_get_parent (info->widget);
    >                                  ^
    > mate-panel/panel.c:895:11: note: Assuming that condition 'info!=((void*)0)' is not redundant
    >  if (info != NULL &&
    >           ^
    > mate-panel/panel.c:893:34: note: Null pointer dereference
    >  parent = gtk_widget_get_parent (info->widget);
    >                                  ^

 mate-panel/panel.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 17b87e321bfca409c31ce4b4e0e3326eeef92b88
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:31:27 2023 +0100

    Avoid a redundant NULL check
    
    It's probably not necessary to perform the NULL check at all as the
    only code paths that could make `list` NULL are already pretty
    dramatically broken, but as we have a NULL check move everything
    relevant inside it.

 mate-panel/panel-profile.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 1b15e2f5f6d33bd8139636a3c6f72fd07d3e5d7b
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:31:00 2023 +0100

    Constify a parameter

 mate-panel/panel-background.c | 2 +-
 mate-panel/panel-background.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5da3bf92a500d5ad4dbd0835472fa0abbf1a5c2c
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:29:15 2023 +0100

    Return a value even after an assertion failure
    
    This is not strictly needed as there's already an assertion (assuming
    it's not compiled out), but returning a value help analyzers get this
    right.

 mate-panel/libmate-panel-applet-private/panel-applet-frame-dbus.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 31f2b7e8f1f3efbd83715ed9acddb310edde4423
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:27:27 2023 +0100

    Remove redundant shadowing variable
    
    No need to get the default icon theme again anyway.

 mate-panel/button-widget.c | 1 -
 1 file changed, 1 deletion(-)

commit 83fae06e1e7e232c9006ccf4ef5e30b65ddc642f
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:27:11 2023 +0100

    Remove unused-but-set variable

 libmate-panel-applet/mate-panel-applet.c | 2 --
 1 file changed, 2 deletions(-)

commit 8724f32fa0f776b2ce08763531906b1136fe355f
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:26:18 2023 +0100

    wncklet: Remove double assignment

 applets/wncklet/workspace-switcher.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 96c7ebc6dc9e8b8327db04a9570054ee78743353
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 15:10:11 2023 +0100

    Reduce scope of variables
    
    Mostly found by cppcheck.

 applets/clock/calendar-window.c                    |  4 ++--
 applets/clock/clock.c                              | 15 ++++++--------
 applets/notification_area/na-grid.c                |  5 +++--
 .../notification_area/status-notifier/sn-host-v0.c |  3 +--
 .../notification_area/status-notifier/sn-item-v0.c |  3 +--
 .../system-tray/na-tray-manager.c                  |  3 +--
 libmate-panel-applet/mate-panel-applet-gsettings.c |  8 ++++----
 mate-panel/button-widget.c                         |  6 +++---
 .../panel-applets-manager-dbus.c                   | 13 ++++++------
 mate-panel/libpanel-util/panel-color.c             |  8 +++++---
 mate-panel/libpanel-util/panel-gtk.c               |  3 +--
 mate-panel/libpanel-util/panel-keyfile.c           |  5 +++--
 mate-panel/mate-desktop-item-edit.c                |  3 +--
 mate-panel/panel-lockdown.c                        |  8 ++------
 mate-panel/panel-menu-items.c                      | 24 ++++++++++------------
 mate-panel/panel-multimonitor.c                    |  3 +--
 mate-panel/panel-profile.c                         |  4 +---
 mate-panel/panel-test-applets.c                    |  5 ++---
 mate-panel/panel-widget.c                          |  9 +++-----
 19 files changed, 58 insertions(+), 74 deletions(-)

commit 7632b4fe9bb81a440bdde64c8cc45b15e07b1de8
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 14:53:10 2023 +0100

    Remove unused member PanelAction::type
    
    > mate-panel/panel-action-button.c:516:26: style: struct member 'PanelAction::type' is never used. [unusedStructMember]
    >  PanelActionButtonType   type;
    >                          ^

 mate-panel/panel-action-button.c | 9 ---------
 1 file changed, 9 deletions(-)

commit e59c6d0276832bf8201561f71718daeca2465360
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 14:45:37 2023 +0100

    Optimize mate_panel_applet_settings_get_g*list()
    
    - Build the list in reverse order, then reverse the result.  This is
      useful because GS?List are list nodes, not containers of nodes, and
      thus don't contain a pointer to the list's end, meaning to append one
      has to walk the entire list to find the end each time.  To avoid this
      we use the common idiom of prepending to the list (which is cheap, as
      it's adding a node before the given one), and then reversing the
      resulting list to get back the original order.
    - Avoid unnecessary memory copy by stealing the GStrv's members.  We
      get the array as a copy, so we can simply steal the members and free
      the container array only, saving a copy for each member.

 libmate-panel-applet/mate-panel-applet-gsettings.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit ec5938e508526a70962e770ddd811f020951d1e8
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 14:42:02 2023 +0100

    clock: Simplify sort_locations_by_time()
    
    There is no need to return -1 or 1 specifically, anything on the right
    side of 0 is OK, so simplify using the usual `a - b` implementation for
    such sort functions.
    
    Note that the type is OK here, as the `struct tm` are ints, the same as
    the function's return value.

 applets/clock/clock.c | 40 +++++++++++-----------------------------
 1 file changed, 11 insertions(+), 29 deletions(-)

commit f9fb27ba92e61a16a81285aedcfab5d28bd5519e
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 14:38:49 2023 +0100

    Do not perform useless incoherent NULL check
    
    cppcheck tells us that we perform NULL checking inconsistently, and
    reports a potential NULL dereference.  Here however the string cannot
    be NULL, so just drop the unnecessary check.
    
    > mate-panel/panel-run-dialog.c:1663:10: warning: Either the condition '!start' is redundant or there is possible null pointer dereference: start. [nullPointerRedundantCheck]
    >  while (*start != '\0' && g_ascii_isspace (*start))
    >          ^
    > mate-panel/panel-run-dialog.c:1679:6: note: Assuming that condition '!start' is not redundant
    >  if (!start || !start [0]) {
    >      ^
    > mate-panel/panel-run-dialog.c:1663:10: note: Null pointer dereference
    >  while (*start != '\0' && g_ascii_isspace (*start))
    >         ^

 mate-panel/panel-run-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 074e5d0136beb84dec62e0a40209c42dab793d87
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 15 14:34:16 2023 +0100

    Reorder array index limit check
    
    This is *not* an issue, as it's not really a bounds check but a mere
    limit, and the array is NULL-terminated.
    
    However, it looks odd and cppcheck (unsurprisingly) doesn't understand
    the details well enough and reports this as a misordered bounds check.
    
    > mate-panel/panel-run-dialog.c:166:12: style: Array index 'i' is used before limits check. [arrayIndexThenCheck]
    >       items[i] && i < history_max_size;
    >            ^

 mate-panel/panel-run-dialog.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit d87c912ce8c09bd64263c6296314b6f17de3ad73
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Oct 24 13:34:04 2023 +0200

    status-notifier: Show AttentionIcon when Status is NeedsAttention
    
    Fixes #1412.

 .../notification_area/status-notifier/sn-item-v0.c | 39 +++++++++++++++++-----
 1 file changed, 30 insertions(+), 9 deletions(-)

commit 95a92215de5abb2a2a6eb34cad342497ba2b5bc5
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Feb 29 17:46:59 2020 +0200

    status-notifier: fix typo
    
    Cherry-picked from gnome-panel commit
    1cc654e16dc06edccaef8c877db4e0da30ceeeaa.

 applets/notification_area/status-notifier/sn-dbus-menu-item.c | 2 +-
 applets/notification_area/status-notifier/sn-dbus-menu-item.h | 2 +-
 applets/notification_area/status-notifier/sn-dbus-menu.c      | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 353c71eaf99ab3454033611d3e6cfac4e4f6e924
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Jan 20 23:54:19 2018 +0200

    status-notifier: fix a typo
    
    Cherry-picked from gnome-panel commit
    55667a735ea33336f5b0912631b184b95ea2140b.

 applets/notification_area/status-notifier/sn-dbus-menu-item.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 675f72ff302409dcbfb1991cf56fd09a294039bf
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Oct 11 15:37:08 2023 -0400

    Main menus: fix missing Places, System icons
    
    *After replacing gtk_image_menu_item with mate_image_menu_item
    *We must also replace GTK_TYPE_IMAGE_MENU_ITEM with MATE_TYPE_IMAGE_MENU_ITEM
    
    *This fixes leftover GtkImageMenuItem deprecation warnings and restores missing Places and System icons in main menus

 mate-panel/panel-menu-items.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ebb3a795a351ca600eb539ed2bba013a6533d749
Author: raveit65 <mate@raveit.de>
Date:   Fri Oct 6 17:58:58 2023 +0200

    replace deprecated gtk-image-menu-item*

 .build.yml                                         | 33 ++++++++++++++++++++++
 .../status-notifier/sn-dbus-menu-item.c            | 18 ++++++------
 configure.ac                                       |  2 +-
 mate-panel/menu.c                                  |  9 +++---
 mate-panel/panel-menu-bar.c                        |  6 ++--
 mate-panel/panel-menu-items.c                      |  9 +++---
 mate-panel/panel-recent.c                          |  6 ++--
 7 files changed, 60 insertions(+), 23 deletions(-)

commit a6ea51bbaf4b9edf3bab3fea5daf0d0bb30b5d7a
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Oct 1 17:23:17 2023 -0400

    Wayland: Fix force-quit unsupported message dialog
    
    *For some reason "widget" is not being properly passed to this, so use NULL for the parent window

 mate-panel/panel-action-button.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c6fc7e38e6d482bbe1172fdda9302a9e58c357e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Sep 25 16:44:10 2023 -0400

    Wayland: Make panel shutdown button work under wayland
    
    *This uses systemd to be able to shutdown when a display manager is running as root
    *If no session or display manager is running as root, systemd used only to suspend or hibernate
    *Suspend/hibernate require systemd at this point
    *If suspend or hibernate not supported error dialog shown if those buttons clicked
    *If "disable logout" lockdown option set, shut down button cannot be added same as in x11
    *If shut down button added to panel and lockout later disabled, same non-responsive button as in x11
    *Logind support would be welcome

 mate-panel/panel-action-button.c | 208 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 203 insertions(+), 5 deletions(-)

commit 170842ce7a4aada7730830f75507bd29d1dcc03f
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Oct 3 07:35:41 2023 -0400

    Force-quit/x11: Fix misalignment of popup with multimonitors
    
    *Compute the size of the monitor we are actually showing the popup on
    *by getting the monitor it is shown on and running gdk_monitor_get_geometry()
    
    *This returns application (scaled) pixels not device pixels

 mate-panel/panel-force-quit.c | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit cf544b717345dc405b2e2f189d53d69a79120e8b
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Oct 1 16:48:48 2023 -0400

    Hidpi x11: center panel force-quit popup window

 .build.yml                                         |  177 +
 .github/FUNDING.yml                                |    9 +
 .github/issue_template.md                          |   19 +
 .gitmodules                                        |    4 +
 .travis.yml                                        |   75 +
 .tx/config                                         |   24 +
 .tx/config_20221028214815.bak                      |   23 +
 AUTHORS                                            |   59 +
 COPYING                                            |  339 ++
 COPYING-DOCS                                       |  355 ++
 COPYING.LIB                                        |  481 ++
 ChangeLog                                          |    2 +
 HACKING                                            |   19 +
 Makefile.am                                        |   60 +
 NEWS                                               |  827 +++
 README                                             |   64 +
 applets/Makefile.am                                |   11 +
 applets/clock/Makefile.am                          |  192 +
 applets/clock/calendar-window.c                    |  633 +++
 applets/clock/calendar-window.h                    |   84 +
 applets/clock/clock-face.c                         |  452 ++
 applets/clock/clock-face.h                         |   63 +
 applets/clock/clock-location-tile.c                |  719 +++
 applets/clock/clock-location-tile.h                |   51 +
 applets/clock/clock-location.c                     |  740 +++
 applets/clock/clock-location.h                     |   86 +
 applets/clock/clock-map.c                          |  665 +++
 applets/clock/clock-map.h                          |   42 +
 applets/clock/clock-marshallers.list               |    3 +
 applets/clock/clock-menu.xml                       |    8 +
 applets/clock/clock-sunpos.c                       |  196 +
 applets/clock/clock-sunpos.h                       |    8 +
 applets/clock/clock-utils.c                        |  126 +
 applets/clock/clock-utils.h                        |   57 +
 applets/clock/clock.c                              | 3620 +++++++++++++
 applets/clock/clock.gresource.xml                  |   17 +
 applets/clock/clock.h                              |   42 +
 applets/clock/clock.ui                             | 1294 +++++
 ...nel.ClockApplet.mate-panel-applet.desktop.in.in |   20 +
 ...mate.panel.applet.ClockAppletFactory.service.in |    3 +
 .../org.mate.panel.applet.clock.gschema.xml.in     |   88 +
 applets/clock/pixmaps/Makefile.am                  |   19 +
 applets/clock/pixmaps/clock-face-large.svg         |  291 +
 applets/clock/pixmaps/clock-face-small-day.svg     |  290 +
 applets/clock/pixmaps/clock-face-small-evening.svg |  290 +
 applets/clock/pixmaps/clock-face-small-morning.svg |  290 +
 applets/clock/pixmaps/clock-face-small-night.svg   |  291 +
 applets/clock/pixmaps/clock-face-small.svg         |  290 +
 .../clock/pixmaps/clock-map-location-current.png   |  Bin 0 -> 379 bytes
 .../clock/pixmaps/clock-map-location-hilight.png   |  Bin 0 -> 346 bytes
 .../clock/pixmaps/clock-map-location-marker.png    |  Bin 0 -> 283 bytes
 applets/clock/pixmaps/clock-map.png                |  Bin 0 -> 25244 bytes
 applets/clock/pixmaps/clock-map.svg                |  755 +++
 applets/clock/set-timezone.c                       |  284 +
 applets/clock/set-timezone.h                       |   40 +
 applets/clock/system-timezone.c                    | 1049 ++++
 applets/clock/system-timezone.h                    |   86 +
 applets/clock/test-system-timezone.c               |  120 +
 applets/fish/Makefile.am                           |  104 +
 applets/fish/fish-menu.xml                         |    4 +
 applets/fish/fish.c                                | 1908 +++++++
 applets/fish/fish.gresource.xml                    |    7 +
 applets/fish/fish.ui                               |  506 ++
 applets/fish/fishanim.png                          |  Bin 0 -> 4859 bytes
 applets/fish/footguy.png                           |  Bin 0 -> 176 bytes
 applets/fish/monkey.png                            |  Bin 0 -> 5063 bytes
 applets/fish/oldwanda.png                          |  Bin 0 -> 12996 bytes
 ...anel.FishApplet.mate-panel-applet.desktop.in.in |   19 +
 ....mate.panel.applet.FishAppletFactory.service.in |    3 +
 .../fish/org.mate.panel.applet.fish.gschema.xml.in |   34 +
 applets/fish/wanda.png                             |  Bin 0 -> 84346 bytes
 applets/fish/wanda.svg                             | 3724 +++++++++++++
 applets/notification_area/Makefile.am              |  130 +
 .../libstatus-notifier-watcher/Makefile.am         |   45 +
 .../libstatus-notifier-watcher/README              |    2 +
 .../libstatus-notifier-watcher/gf-sn-watcher-v0.c  |  410 ++
 .../libstatus-notifier-watcher/gf-sn-watcher-v0.h  |   42 +
 .../gf-status-notifier-watcher.c                   |   64 +
 .../gf-status-notifier-watcher.h                   |   42 +
 .../org.kde.StatusNotifierWatcher.xml              |   42 +
 applets/notification_area/main.c                   |  518 ++
 applets/notification_area/main.h                   |   60 +
 applets/notification_area/na-grid.c                |  462 ++
 applets/notification_area/na-grid.h                |   48 +
 applets/notification_area/na-host.c                |  105 +
 applets/notification_area/na-host.h                |   54 +
 applets/notification_area/na-item.c                |   91 +
 applets/notification_area/na-item.h                |   63 +
 applets/notification_area/na.gresource.xml         |    7 +
 .../notification_area/notification-area-menu.xml   |    4 +
 .../notification-area-preferences-dialog.ui        |  170 +
 ...ationAreaApplet.mate-panel-applet.desktop.in.in |   19 +
 ...applet.NotificationAreaAppletFactory.service.in |    3 +
 ...e.panel.applet.notification-area.gschema.xml.in |    9 +
 .../notification_area/status-notifier/Makefile.am  |   83 +
 applets/notification_area/status-notifier/README   |    2 +
 .../status-notifier/com.canonical.dbusmenu.xml     |   74 +
 .../status-notifier/org.kde.StatusNotifierHost.xml |    8 +
 .../status-notifier/org.kde.StatusNotifierItem.xml |   88 +
 .../org.kde.StatusNotifierWatcher.xml              |   42 +
 .../status-notifier/sn-dbus-menu-item.c            |  488 ++
 .../status-notifier/sn-dbus-menu-item.h            |   64 +
 .../status-notifier/sn-dbus-menu.c                 |  500 ++
 .../status-notifier/sn-dbus-menu.h                 |   44 +
 .../status-notifier/sn-flat-button.c               |  174 +
 .../status-notifier/sn-flat-button.h               |   60 +
 .../notification_area/status-notifier/sn-host-v0.c |  489 ++
 .../notification_area/status-notifier/sn-host-v0.h |   43 +
 .../notification_area/status-notifier/sn-item-v0.c | 1495 ++++++
 .../notification_area/status-notifier/sn-item-v0.h |   51 +
 .../notification_area/status-notifier/sn-item.c    |  483 ++
 .../notification_area/status-notifier/sn-item.h    |   88 +
 applets/notification_area/system-tray/Makefile.am  |   45 +
 applets/notification_area/system-tray/fixedtip.c   |  282 +
 applets/notification_area/system-tray/fixedtip.h   |   72 +
 .../notification_area/system-tray/na-marshal.list  |    3 +
 .../notification_area/system-tray/na-tray-child.c  |  664 +++
 .../notification_area/system-tray/na-tray-child.h  |   87 +
 .../system-tray/na-tray-manager.c                  |  993 ++++
 .../system-tray/na-tray-manager.h                  |  113 +
 applets/notification_area/system-tray/na-tray.c    |  731 +++
 applets/notification_area/system-tray/na-tray.h    |   73 +
 applets/notification_area/testtray.c               |  283 +
 applets/wncklet/Makefile.am                        |  133 +
 ...e.panel.Wncklet.mate-panel-applet.desktop.in.in |   58 +
 ...org.mate.panel.applet.WnckletFactory.service.in |    3 +
 ...anel.applet.window-list-previews.gschema.xml.in |   14 +
 ...rg.mate.panel.applet.window-list.gschema.xml.in |   34 +
 ....panel.applet.workspace-switcher.gschema.xml.in |   24 +
 applets/wncklet/showdesktop-menu.xml               |    3 +
 applets/wncklet/showdesktop.c                      |  602 +++
 applets/wncklet/showdesktop.h                      |   41 +
 applets/wncklet/wayland-backend.c                  |  752 +++
 applets/wncklet/wayland-backend.h                  |   46 +
 applets/wncklet/wayland-protocol/generate-code.sh  |   20 +
 ...oreign-toplevel-management-unstable-v1-client.h |  594 +++
 ...-foreign-toplevel-management-unstable-v1-code.c |  104 +
 ...wlr-foreign-toplevel-management-unstable-v1.xml |  259 +
 applets/wncklet/window-list-menu.xml               |    6 +
 applets/wncklet/window-list.c                      | 1291 +++++
 applets/wncklet/window-list.h                      |   25 +
 applets/wncklet/window-list.ui                     |  595 +++
 applets/wncklet/window-menu-menu.xml               |    3 +
 applets/wncklet/window-menu.c                      |  295 ++
 applets/wncklet/window-menu.h                      |   45 +
 applets/wncklet/wncklet.c                          |  155 +
 applets/wncklet/wncklet.gresource.xml              |   11 +
 applets/wncklet/wncklet.h                          |   49 +
 applets/wncklet/workspace-switcher-menu.xml        |    6 +
 applets/wncklet/workspace-switcher.c               | 1142 ++++
 applets/wncklet/workspace-switcher.h               |   25 +
 applets/wncklet/workspace-switcher.ui              |  386 ++
 autogen.sh                                         |   23 +
 configure.ac                                       |  387 ++
 data/Makefile.am                                   |   30 +
 data/default.layout                                |   53 +
 data/fedora.layout                                 |   82 +
 data/linuxmint.layout                              |   41 +
 data/mageia.layout                                 |   75 +
 data/opensuse.layout                               |   57 +
 data/org.mate.panel.gschema.xml.in                 |   93 +
 data/org.mate.panel.menubar.gschema.xml.in         |   60 +
 data/org.mate.panel.object.gschema.xml.in          |   84 +
 data/org.mate.panel.toplevel.gschema.xml.in        |  142 +
 data/theme/Makefile.am                             |    8 +
 data/theme/mate-panel.css                          |   13 +
 data/theme/panel-grid-symbolic.svg                 |  173 +
 data/ubuntu.layout                                 |   77 +
 doc/Makefile.am                                    |    7 +
 doc/panel-keynav.txt                               |   84 +
 doc/panel-session-handling.txt                     |  250 +
 doc/reference/Makefile.am                          |    3 +
 doc/reference/mate-panel-applet/Makefile.am        |   70 +
 .../mate-panel-applet/mate-panel-applet-docs.sgml  |  383 ++
 .../mate-panel-applet-overrides.txt                |    0
 .../mate-panel-applet-sections.txt                 |   39 +
 .../mate-panel-applet/mate-panel-applet.types      |    3 +
 git.mk                                             |  400 ++
 help/Makefile.am                                   |    3 +
 help/mate-clock/C/figures/clock_applet.png         |  Bin 0 -> 406 bytes
 help/mate-clock/C/index.docbook                    |  492 ++
 help/mate-clock/C/legal.xml                        |   76 +
 help/mate-clock/Makefile.am                        |   17 +
 help/mate-clock/af/af.po                           |  690 +++
 help/mate-clock/am/am.po                           |  686 +++
 help/mate-clock/ar/ar.po                           |  692 +++
 help/mate-clock/ar/figures/clock_applet.png        |  Bin 0 -> 2312 bytes
 help/mate-clock/as/as.po                           |  686 +++
 help/mate-clock/ast/ast.po                         |  687 +++
 help/mate-clock/az/az.po                           |  690 +++
 help/mate-clock/be/be.po                           |  689 +++
 help/mate-clock/bg/bg.po                           |  697 +++
 help/mate-clock/bn/bn.po                           |  691 +++
 help/mate-clock/bn_IN/bn_IN.po                     |  689 +++
 help/mate-clock/br/br.po                           |  687 +++
 help/mate-clock/bs/bs.po                           |  687 +++
 help/mate-clock/ca/ca.po                           |  835 +++
 help/mate-clock/ca/figures/clock_applet.png        |  Bin 0 -> 1207 bytes
 help/mate-clock/ca@valencia/ca@valencia.po         |  736 +++
 help/mate-clock/cmn/cmn.po                         |  689 +++
 help/mate-clock/crh/crh.po                         |  688 +++
 help/mate-clock/cs/cs.po                           |  724 +++
 help/mate-clock/cs/figures/clock_applet.png        |  Bin 0 -> 879 bytes
 help/mate-clock/cy/cy.po                           |  689 +++
 help/mate-clock/da/da.po                           |  822 +++
 help/mate-clock/de/de.po                           |  754 +++
 help/mate-clock/de/figures/clock_applet.png        |  Bin 0 -> 1398 bytes
 help/mate-clock/dz/dz.po                           |  689 +++
 help/mate-clock/el/el.po                           |  734 +++
 help/mate-clock/el/figures/clock_applet.png        |  Bin 0 -> 2160 bytes
 help/mate-clock/en_AU/en_AU.po                     |  686 +++
 help/mate-clock/en_CA/en_CA.po                     |  686 +++
 help/mate-clock/en_GB/en_GB.po                     |  816 +++
 help/mate-clock/eo/eo.po                           |  711 +++
 help/mate-clock/es/es.po                           |  747 +++
 help/mate-clock/es/figures/clock_applet.png        |  Bin 0 -> 1795 bytes
 help/mate-clock/es_AR/es_AR.po                     |  689 +++
 help/mate-clock/es_CL/es_CL.po                     |  688 +++
 help/mate-clock/es_CO/es_CO.po                     |  689 +++
 help/mate-clock/es_CR/es_CR.po                     |  698 +++
 help/mate-clock/es_DO/es_DO.po                     |  698 +++
 help/mate-clock/es_EC/es_EC.po                     |  698 +++
 help/mate-clock/es_ES/es_ES.po                     |  698 +++
 help/mate-clock/es_MX/es_MX.po                     |  704 +++
 help/mate-clock/es_NI/es_NI.po                     |  698 +++
 help/mate-clock/es_PA/es_PA.po                     |  698 +++
 help/mate-clock/es_PE/es_PE.po                     |  698 +++
 help/mate-clock/es_PR/es_PR.po                     |  689 +++
 help/mate-clock/es_SV/es_SV.po                     |  698 +++
 help/mate-clock/es_UY/es_UY.po                     |  698 +++
 help/mate-clock/es_VE/es_VE.po                     |  698 +++
 help/mate-clock/et/et.po                           |  693 +++
 help/mate-clock/eu/eu.po                           |  726 +++
 help/mate-clock/eu/figures/clock_applet.png        |  Bin 0 -> 1274 bytes
 help/mate-clock/fa/fa.po                           |  687 +++
 help/mate-clock/fi/fi.po                           |  694 +++
 help/mate-clock/fr/figures/clock_applet.png        |  Bin 0 -> 1341 bytes
 help/mate-clock/fr/fr.po                           |  806 +++
 help/mate-clock/fur/fur.po                         |  686 +++
 help/mate-clock/fy/fy.po                           |  689 +++
 help/mate-clock/ga/ga.po                           |  689 +++
 help/mate-clock/gl/gl.po                           |  737 +++
 help/mate-clock/gu/gu.po                           |  687 +++
 help/mate-clock/ha/ha.po                           |  686 +++
 help/mate-clock/he/he.po                           |  689 +++
 help/mate-clock/hi/hi.po                           |  692 +++
 help/mate-clock/hr/hr.po                           |  735 +++
 help/mate-clock/hu/hu.po                           |  740 +++
 help/mate-clock/hy/hy.po                           |  688 +++
 help/mate-clock/ia/ia.po                           |  696 +++
 help/mate-clock/id/id.po                           |  740 +++
 help/mate-clock/ie/ie.po                           |  686 +++
 help/mate-clock/ig/ig.po                           |  686 +++
 help/mate-clock/is/is.po                           |  690 +++
 help/mate-clock/it/figures/clock_applet.png        |  Bin 0 -> 1574 bytes
 help/mate-clock/it/it.po                           |  837 +++
 help/mate-clock/ja/figures/clock_applet.png        |  Bin 0 -> 1589 bytes
 help/mate-clock/ja/ja.po                           |  783 +++
 help/mate-clock/ka/ka.po                           |  686 +++
 help/mate-clock/kab/kab.po                         |  689 +++
 help/mate-clock/kk/kk.po                           |  687 +++
 help/mate-clock/kn/kn.po                           |  688 +++
 help/mate-clock/ko/figures/clock_applet.png        |  Bin 0 -> 418 bytes
 help/mate-clock/ko/ko.po                           |  749 +++
 help/mate-clock/ku/ku.po                           |  686 +++
 help/mate-clock/ky/ky.po                           |  686 +++
 help/mate-clock/li/li.po                           |  696 +++
 help/mate-clock/lt/lt.po                           |  736 +++
 help/mate-clock/lv/lv.po                           |  688 +++
 help/mate-clock/mai/mai.po                         |  686 +++
 help/mate-clock/mg/mg.po                           |  686 +++
 help/mate-clock/mk/mk.po                           |  687 +++
 help/mate-clock/ml/ml.po                           |  688 +++
 help/mate-clock/mn/mn.po                           |  688 +++
 help/mate-clock/mr/mr.po                           |  687 +++
 help/mate-clock/ms/ms.po                           |  813 +++
 help/mate-clock/nb/nb.po                           |  710 +++
 help/mate-clock/nds/nds.po                         |  689 +++
 help/mate-clock/ne/ne.po                           |  689 +++
 help/mate-clock/nl/figures/clock_applet.png        |  Bin 0 -> 406 bytes
 help/mate-clock/nl/nl.po                           |  740 +++
 help/mate-clock/nn/nn.po                           |  690 +++
 help/mate-clock/nso/nso.po                         |  688 +++
 help/mate-clock/oc/oc.po                           |  773 +++
 help/mate-clock/or/or.po                           |  686 +++
 help/mate-clock/pa/pa.po                           |  720 +++
 help/mate-clock/pl/pl.po                           |  748 +++
 help/mate-clock/ps/ps.po                           |  688 +++
 help/mate-clock/pt/pt.po                           |  832 +++
 help/mate-clock/pt_BR/pt_BR.po                     |  779 +++
 help/mate-clock/ro/ro.po                           |  688 +++
 help/mate-clock/ru/ru.po                           |  859 +++
 help/mate-clock/si/si.po                           |  686 +++
 help/mate-clock/sk/sk.po                           |  730 +++
 help/mate-clock/sl/sl.po                           |  689 +++
 help/mate-clock/sq/sq.po                           |  696 +++
 help/mate-clock/sr/figures/clock_applet.png        |  Bin 0 -> 1058 bytes
 help/mate-clock/sr/sr.po                           |  819 +++
 help/mate-clock/sr@latin/sr@latin.po               |  690 +++
 help/mate-clock/sv/figures/clock_applet.png        |  Bin 0 -> 399 bytes
 help/mate-clock/sv/sv.po                           |  730 +++
 help/mate-clock/ta/ta.po                           |  689 +++
 help/mate-clock/te/te.po                           |  687 +++
 help/mate-clock/th/figures/clock_applet.png        |  Bin 0 -> 1235 bytes
 help/mate-clock/th/th.po                           |  719 +++
 help/mate-clock/tr/tr.po                           |  778 +++
 help/mate-clock/ug/ug.po                           |  695 +++
 help/mate-clock/uk/figures/clock_applet.png        |  Bin 0 -> 1923 bytes
 help/mate-clock/uk/uk.po                           |  789 +++
 help/mate-clock/ur/ur.po                           |  692 +++
 help/mate-clock/uz/uz.po                           |  687 +++
 help/mate-clock/vi/vi.po                           |  687 +++
 help/mate-clock/wa/wa.po                           |  686 +++
 help/mate-clock/xh/xh.po                           |  686 +++
 help/mate-clock/yo/yo.po                           |  686 +++
 help/mate-clock/zh-Hans/zh-Hans.po                 |  687 +++
 help/mate-clock/zh_CN/figures/clock_applet.png     |  Bin 0 -> 1444 bytes
 help/mate-clock/zh_CN/zh_CN.po                     |  718 +++
 help/mate-clock/zh_HK/zh_HK.po                     |  689 +++
 help/mate-clock/zh_TW/figures/clock_applet.png     |  Bin 0 -> 429 bytes
 help/mate-clock/zh_TW/zh_TW.po                     |  697 +++
 help/mate-clock/zu/zu.po                           |  688 +++
 help/mate-fish/C/figures/fish_applet.png           |  Bin 0 -> 5818 bytes
 help/mate-fish/C/index.docbook                     |  287 +
 help/mate-fish/C/legal.xml                         |   76 +
 help/mate-fish/Makefile.am                         |   17 +
 help/mate-fish/af/af.po                            |  438 ++
 help/mate-fish/am/am.po                            |  435 ++
 help/mate-fish/an/an.po                            |  438 ++
 help/mate-fish/ar/ar.po                            |  442 ++
 help/mate-fish/as/as.po                            |  435 ++
 help/mate-fish/ast/ast.po                          |  436 ++
 help/mate-fish/az/az.po                            |  439 ++
 help/mate-fish/be/be.po                            |  438 ++
 help/mate-fish/bg/bg.po                            |  447 ++
 help/mate-fish/bn/bn.po                            |  440 ++
 help/mate-fish/bn_IN/bn_IN.po                      |  439 ++
 help/mate-fish/br/br.po                            |  436 ++
 help/mate-fish/bs/bs.po                            |  436 ++
 help/mate-fish/ca/ca.po                            |  548 ++
 help/mate-fish/ca@valencia/ca@valencia.po          |  484 ++
 help/mate-fish/cmn/cmn.po                          |  438 ++
 help/mate-fish/crh/crh.po                          |  437 ++
 help/mate-fish/cs/cs.po                            |  528 ++
 help/mate-fish/csb/csb.po                          |  447 ++
 help/mate-fish/cy/cy.po                            |  438 ++
 help/mate-fish/da/da.po                            |  543 ++
 help/mate-fish/de/de.po                            |  499 ++
 help/mate-fish/dz/dz.po                            |  438 ++
 help/mate-fish/el/el.po                            |  481 ++
 help/mate-fish/en_AU/en_AU.po                      |  435 ++
 help/mate-fish/en_CA/en_CA.po                      |  435 ++
 help/mate-fish/en_GB/en_GB.po                      |  537 ++
 help/mate-fish/eo/eo.po                            |  461 ++
 help/mate-fish/es/es.po                            |  555 ++
 help/mate-fish/es_AR/es_AR.po                      |  439 ++
 help/mate-fish/es_CL/es_CL.po                      |  437 ++
 help/mate-fish/es_CO/es_CO.po                      |  436 ++
 help/mate-fish/es_CR/es_CR.po                      |  447 ++
 help/mate-fish/es_DO/es_DO.po                      |  447 ++
 help/mate-fish/es_EC/es_EC.po                      |  447 ++
 help/mate-fish/es_ES/es_ES.po                      |  438 ++
 help/mate-fish/es_MX/es_MX.po                      |  443 ++
 help/mate-fish/es_NI/es_NI.po                      |  447 ++
 help/mate-fish/es_PA/es_PA.po                      |  447 ++
 help/mate-fish/es_PE/es_PE.po                      |  447 ++
 help/mate-fish/es_PR/es_PR.po                      |  438 ++
 help/mate-fish/es_SV/es_SV.po                      |  447 ++
 help/mate-fish/es_UY/es_UY.po                      |  447 ++
 help/mate-fish/es_VE/es_VE.po                      |  447 ++
 help/mate-fish/et/et.po                            |  442 ++
 help/mate-fish/eu/eu.po                            |  473 ++
 help/mate-fish/fa/fa.po                            |  437 ++
 help/mate-fish/fi/fi.po                            |  444 ++
 help/mate-fish/fil/fil.po                          |  450 ++
 help/mate-fish/fr/fr.po                            |  536 ++
 help/mate-fish/fr_CA/fr_CA.po                      |  445 ++
 help/mate-fish/frp/frp.po                          |  435 ++
 help/mate-fish/fur/fur.po                          |  435 ++
 help/mate-fish/fy/fy.po                            |  438 ++
 help/mate-fish/ga/ga.po                            |  438 ++
 help/mate-fish/gl/gl.po                            |  547 ++
 help/mate-fish/gu/gu.po                            |  436 ++
 help/mate-fish/ha/ha.po                            |  435 ++
 help/mate-fish/he/he.po                            |  439 ++
 help/mate-fish/hi/hi.po                            |  441 ++
 help/mate-fish/hr/hr.po                            |  473 ++
 help/mate-fish/hu/hu.po                            |  490 ++
 help/mate-fish/hy/hy.po                            |  437 ++
 help/mate-fish/ia/ia.po                            |  436 ++
 help/mate-fish/id/id.po                            |  492 ++
 help/mate-fish/ie/ie.po                            |  435 ++
 help/mate-fish/ig/ig.po                            |  435 ++
 help/mate-fish/is/is.po                            |  439 ++
 help/mate-fish/it/it.po                            |  548 ++
 help/mate-fish/ja/ja.po                            |  520 ++
 help/mate-fish/jv/jv.po                            |  435 ++
 help/mate-fish/ka/ka.po                            |  435 ++
 help/mate-fish/kab/kab.po                          |  438 ++
 help/mate-fish/kk/kk.po                            |  436 ++
 help/mate-fish/km/km.po                            |  435 ++
 help/mate-fish/kn/kn.po                            |  438 ++
 help/mate-fish/ko/ko.po                            |  490 ++
 help/mate-fish/ks/ks.po                            |  445 ++
 help/mate-fish/ku/ku.po                            |  435 ++
 help/mate-fish/ku_IQ/ku_IQ.po                      |  435 ++
 help/mate-fish/ky/ky.po                            |  435 ++
 help/mate-fish/la/la.po                            |  436 ++
 help/mate-fish/lb/lb.po                            |  447 ++
 help/mate-fish/li/li.po                            |  445 ++
 help/mate-fish/lt/lt.po                            |  542 ++
 help/mate-fish/lv/lv.po                            |  438 ++
 help/mate-fish/mai/mai.po                          |  435 ++
 help/mate-fish/mg/mg.po                            |  435 ++
 help/mate-fish/mi/mi.po                            |  435 ++
 help/mate-fish/mk/mk.po                            |  436 ++
 help/mate-fish/ml/ml.po                            |  437 ++
 help/mate-fish/mn/mn.po                            |  437 ++
 help/mate-fish/mr/mr.po                            |  436 ++
 help/mate-fish/ms/ms.po                            |  537 ++
 help/mate-fish/my/my.po                            |  445 ++
 help/mate-fish/nb/nb.po                            |  449 ++
 help/mate-fish/nds/nds.po                          |  438 ++
 help/mate-fish/ne/ne.po                            |  439 ++
 help/mate-fish/nl/nl.po                            |  486 ++
 help/mate-fish/nn/nn.po                            |  439 ++
 help/mate-fish/nso/nso.po                          |  437 ++
 help/mate-fish/oc/oc.po                            |  510 ++
 help/mate-fish/or/or.po                            |  435 ++
 help/mate-fish/pa/pa.po                            |  469 ++
 help/mate-fish/pl/pl.po                            |  489 ++
 help/mate-fish/pms/pms.po                          |  445 ++
 help/mate-fish/ps/ps.po                            |  437 ++
 help/mate-fish/pt/pt.po                            |  548 ++
 help/mate-fish/pt_BR/pt_BR.po                      |  534 ++
 help/mate-fish/ro/ro.po                            |  437 ++
 help/mate-fish/ru/ru.po                            |  573 ++
 help/mate-fish/rw/rw.po                            |  445 ++
 help/mate-fish/sc/sc.po                            |  448 ++
 help/mate-fish/si/si.po                            |  435 ++
 help/mate-fish/sk/sk.po                            |  481 ++
 help/mate-fish/sl/sl.po                            |  439 ++
 help/mate-fish/sq/sq.po                            |  447 ++
 help/mate-fish/sr/sr.po                            |  536 ++
 help/mate-fish/sr@latin/sr@latin.po                |  439 ++
 help/mate-fish/sv/sv.po                            |  478 ++
 help/mate-fish/sw/sw.po                            |  447 ++
 help/mate-fish/ta/ta.po                            |  439 ++
 help/mate-fish/te/te.po                            |  436 ++
 help/mate-fish/th/th.po                            |  468 ++
 help/mate-fish/tk/tk.po                            |  435 ++
 help/mate-fish/tr/tr.po                            |  549 ++
 help/mate-fish/ts/ts.po                            |  445 ++
 help/mate-fish/ug/ug.po                            |  444 ++
 help/mate-fish/uk/uk.po                            |  523 ++
 help/mate-fish/ur/ur.po                            |  441 ++
 help/mate-fish/ur_PK/ur_PK.po                      |  449 ++
 help/mate-fish/uz/uz.po                            |  436 ++
 help/mate-fish/vi/vi.po                            |  437 ++
 help/mate-fish/wa/wa.po                            |  435 ++
 help/mate-fish/xh/xh.po                            |  435 ++
 help/mate-fish/yo/yo.po                            |  435 ++
 help/mate-fish/zh-Hans/zh-Hans.po                  |  436 ++
 help/mate-fish/zh_CN/zh_CN.po                      |  464 ++
 help/mate-fish/zh_HK/zh_HK.po                      |  439 ++
 help/mate-fish/zh_TW/zh_TW.po                      |  445 ++
 help/mate-fish/zu/zu.po                            |  437 ++
 icons/16x16/Makefile.am                            |   48 +
 icons/16x16/mate-panel-clock.png                   |  Bin 0 -> 887 bytes
 icons/16x16/mate-panel-clock.xcf.bz2               |  Bin 0 -> 1399 bytes
 icons/16x16/mate-panel-drawer.png                  |  Bin 0 -> 444 bytes
 icons/16x16/mate-panel-drawer.svg                  |  297 ++
 icons/16x16/mate-panel-fish.png                    |  Bin 0 -> 740 bytes
 icons/16x16/mate-panel-fish.xcf.bz2                |  Bin 0 -> 1450 bytes
 icons/16x16/mate-panel-force-quit.png              |  Bin 0 -> 711 bytes
 icons/16x16/mate-panel-force-quit.svg              |  144 +
 icons/16x16/mate-panel-launcher.png                |  Bin 0 -> 571 bytes
 icons/16x16/mate-panel-launcher.svg                |  488 ++
 icons/16x16/mate-panel-notification-area.png       |  Bin 0 -> 812 bytes
 icons/16x16/mate-panel-notification-area.svg       |  285 +
 icons/16x16/mate-panel-separator.png               |  Bin 0 -> 160 bytes
 icons/16x16/mate-panel-separator.svg               |  105 +
 icons/16x16/mate-panel-window-list.png             |  Bin 0 -> 390 bytes
 icons/16x16/mate-panel-window-list.xcf.bz2         |  Bin 0 -> 657 bytes
 icons/16x16/mate-panel-window-menu.png             |  Bin 0 -> 545 bytes
 icons/16x16/mate-panel-window-menu.xcf.bz2         |  Bin 0 -> 900 bytes
 icons/16x16/mate-panel-workspace-switcher.png      |  Bin 0 -> 400 bytes
 icons/16x16/mate-panel-workspace-switcher.svg      |  186 +
 icons/16x16/mate-panel.png                         |  Bin 0 -> 354 bytes
 icons/16x16/mate-panel.svg                         |  231 +
 icons/22x22/Makefile.am                            |   48 +
 icons/22x22/mate-panel-clock.png                   |  Bin 0 -> 1459 bytes
 icons/22x22/mate-panel-clock.svg                   |  268 +
 icons/22x22/mate-panel-drawer.png                  |  Bin 0 -> 718 bytes
 icons/22x22/mate-panel-drawer.svg                  |  352 ++
 icons/22x22/mate-panel-fish.png                    |  Bin 0 -> 1461 bytes
 icons/22x22/mate-panel-fish.xcf.bz2                |  Bin 0 -> 2617 bytes
 icons/22x22/mate-panel-force-quit.png              |  Bin 0 -> 1018 bytes
 icons/22x22/mate-panel-force-quit.xcf.bz2          |  Bin 0 -> 1598 bytes
 icons/22x22/mate-panel-launcher.png                |  Bin 0 -> 955 bytes
 icons/22x22/mate-panel-launcher.svg                |  788 +++
 icons/22x22/mate-panel-notification-area.png       |  Bin 0 -> 1267 bytes
 icons/22x22/mate-panel-notification-area.svg       |  292 ++
 icons/22x22/mate-panel-separator.png               |  Bin 0 -> 165 bytes
 icons/22x22/mate-panel-separator.svg               |  105 +
 icons/22x22/mate-panel-window-list.png             |  Bin 0 -> 609 bytes
 icons/22x22/mate-panel-window-list.xcf.bz2         |  Bin 0 -> 1174 bytes
 icons/22x22/mate-panel-window-menu.png             |  Bin 0 -> 701 bytes
 icons/22x22/mate-panel-window-menu.xcf.bz2         |  Bin 0 -> 1485 bytes
 icons/22x22/mate-panel-workspace-switcher.png      |  Bin 0 -> 537 bytes
 icons/22x22/mate-panel-workspace-switcher.svg      |  186 +
 icons/22x22/mate-panel.png                         |  Bin 0 -> 394 bytes
 icons/22x22/mate-panel.svg                         |  230 +
 icons/24x24/Makefile.am                            |   34 +
 icons/24x24/mate-panel-clock.png                   |  Bin 0 -> 1510 bytes
 icons/24x24/mate-panel-drawer.png                  |  Bin 0 -> 715 bytes
 icons/24x24/mate-panel-fish.png                    |  Bin 0 -> 1475 bytes
 icons/24x24/mate-panel-force-quit.png              |  Bin 0 -> 1045 bytes
 icons/24x24/mate-panel-launcher.png                |  Bin 0 -> 1023 bytes
 icons/24x24/mate-panel-notification-area.png       |  Bin 0 -> 1318 bytes
 icons/24x24/mate-panel-separator.png               |  Bin 0 -> 191 bytes
 icons/24x24/mate-panel-window-list.png             |  Bin 0 -> 649 bytes
 icons/24x24/mate-panel-window-menu.png             |  Bin 0 -> 733 bytes
 icons/24x24/mate-panel-workspace-switcher.png      |  Bin 0 -> 560 bytes
 icons/24x24/mate-panel.png                         |  Bin 0 -> 430 bytes
 icons/256x256/Makefile.am                          |   34 +
 icons/256x256/mate-panel-clock.png                 |  Bin 0 -> 40183 bytes
 icons/256x256/mate-panel-drawer.png                |  Bin 0 -> 11635 bytes
 icons/256x256/mate-panel-fish.png                  |  Bin 0 -> 28619 bytes
 icons/256x256/mate-panel-force-quit.png            |  Bin 0 -> 15853 bytes
 icons/256x256/mate-panel-launcher.png              |  Bin 0 -> 19017 bytes
 icons/256x256/mate-panel-notification-area.png     |  Bin 0 -> 21872 bytes
 icons/256x256/mate-panel-separator.png             |  Bin 0 -> 1299 bytes
 icons/256x256/mate-panel-window-list.png           |  Bin 0 -> 9252 bytes
 icons/256x256/mate-panel-window-menu.png           |  Bin 0 -> 6602 bytes
 icons/256x256/mate-panel-workspace-switcher.png    |  Bin 0 -> 6394 bytes
 icons/256x256/mate-panel.png                       |  Bin 0 -> 10862 bytes
 icons/32x32/Makefile.am                            |   48 +
 icons/32x32/mate-panel-clock.png                   |  Bin 0 -> 2177 bytes
 icons/32x32/mate-panel-clock.svg                   |  291 +
 icons/32x32/mate-panel-drawer.png                  |  Bin 0 -> 865 bytes
 icons/32x32/mate-panel-drawer.svg                  |  486 ++
 icons/32x32/mate-panel-fish.png                    |  Bin 0 -> 1785 bytes
 icons/32x32/mate-panel-fish.svg                    |  656 +++
 icons/32x32/mate-panel-force-quit.png              |  Bin 0 -> 1588 bytes
 icons/32x32/mate-panel-force-quit.svg              |  362 ++
 icons/32x32/mate-panel-launcher.png                |  Bin 0 -> 1777 bytes
 icons/32x32/mate-panel-launcher.svg                |  710 +++
 icons/32x32/mate-panel-notification-area.png       |  Bin 0 -> 1712 bytes
 icons/32x32/mate-panel-notification-area.svg       |  291 +
 icons/32x32/mate-panel-separator.png               |  Bin 0 -> 176 bytes
 icons/32x32/mate-panel-separator.svg               |  105 +
 icons/32x32/mate-panel-window-list.png             |  Bin 0 -> 723 bytes
 icons/32x32/mate-panel-window-list.svg             |  170 +
 icons/32x32/mate-panel-window-menu.png             |  Bin 0 -> 830 bytes
 icons/32x32/mate-panel-window-menu.svg             |  368 ++
 icons/32x32/mate-panel-workspace-switcher.png      |  Bin 0 -> 706 bytes
 icons/32x32/mate-panel-workspace-switcher.svg      |  452 ++
 icons/32x32/mate-panel.png                         |  Bin 0 -> 1212 bytes
 icons/32x32/mate-panel.svg                         |  209 +
 icons/48x48/Makefile.am                            |   34 +
 icons/48x48/mate-panel-clock.png                   |  Bin 0 -> 4031 bytes
 icons/48x48/mate-panel-drawer.png                  |  Bin 0 -> 1344 bytes
 icons/48x48/mate-panel-fish.png                    |  Bin 0 -> 2889 bytes
 icons/48x48/mate-panel-force-quit.png              |  Bin 0 -> 2142 bytes
 icons/48x48/mate-panel-launcher.png                |  Bin 0 -> 2202 bytes
 icons/48x48/mate-panel-notification-area.png       |  Bin 0 -> 2410 bytes
 icons/48x48/mate-panel-separator.png               |  Bin 0 -> 222 bytes
 icons/48x48/mate-panel-window-list.png             |  Bin 0 -> 1316 bytes
 icons/48x48/mate-panel-window-menu.png             |  Bin 0 -> 1142 bytes
 icons/48x48/mate-panel-workspace-switcher.png      |  Bin 0 -> 1039 bytes
 icons/48x48/mate-panel.png                         |  Bin 0 -> 1619 bytes
 icons/64x64/Makefile.am                            |   34 +
 icons/64x64/mate-panel-clock.png                   |  Bin 0 -> 6449 bytes
 icons/64x64/mate-panel-drawer.png                  |  Bin 0 -> 2222 bytes
 icons/64x64/mate-panel-fish.png                    |  Bin 0 -> 4411 bytes
 icons/64x64/mate-panel-force-quit.png              |  Bin 0 -> 3427 bytes
 icons/64x64/mate-panel-launcher.png                |  Bin 0 -> 3787 bytes
 icons/64x64/mate-panel-notification-area.png       |  Bin 0 -> 3927 bytes
 icons/64x64/mate-panel-separator.png               |  Bin 0 -> 325 bytes
 icons/64x64/mate-panel-window-list.png             |  Bin 0 -> 2019 bytes
 icons/64x64/mate-panel-window-menu.png             |  Bin 0 -> 1851 bytes
 icons/64x64/mate-panel-workspace-switcher.png      |  Bin 0 -> 1801 bytes
 icons/64x64/mate-panel.png                         |  Bin 0 -> 2516 bytes
 icons/96x96/Makefile.am                            |   34 +
 icons/96x96/mate-panel-clock.png                   |  Bin 0 -> 11497 bytes
 icons/96x96/mate-panel-drawer.png                  |  Bin 0 -> 3244 bytes
 icons/96x96/mate-panel-fish.png                    |  Bin 0 -> 7754 bytes
 icons/96x96/mate-panel-force-quit.png              |  Bin 0 -> 5376 bytes
 icons/96x96/mate-panel-launcher.png                |  Bin 0 -> 5228 bytes
 icons/96x96/mate-panel-notification-area.png       |  Bin 0 -> 5886 bytes
 icons/96x96/mate-panel-separator.png               |  Bin 0 -> 417 bytes
 icons/96x96/mate-panel-window-list.png             |  Bin 0 -> 2981 bytes
 icons/96x96/mate-panel-window-menu.png             |  Bin 0 -> 2159 bytes
 icons/96x96/mate-panel-workspace-switcher.png      |  Bin 0 -> 1970 bytes
 icons/96x96/mate-panel.png                         |  Bin 0 -> 3516 bytes
 icons/Makefile.am                                  |    3 +
 icons/scalable/Makefile.am                         |   34 +
 icons/scalable/mate-panel-clock.svg                |  459 ++
 icons/scalable/mate-panel-drawer.svg               |  829 +++
 icons/scalable/mate-panel-fish.svg                 |  669 +++
 icons/scalable/mate-panel-force-quit.svg           |  362 ++
 icons/scalable/mate-panel-launcher.svg             |  734 +++
 icons/scalable/mate-panel-notification-area.svg    |  261 +
 icons/scalable/mate-panel-separator.svg            |  115 +
 icons/scalable/mate-panel-window-list.svg          |  324 ++
 icons/scalable/mate-panel-window-menu.svg          |  386 ++
 icons/scalable/mate-panel-workspace-switcher.svg   |  340 ++
 icons/scalable/mate-panel.svg                      |  278 +
 libmate-panel-applet/Makefile.am                   |  150 +
 libmate-panel-applet/TODO                          |   14 +
 .../libmatepanelapplet-4.0-uninstalled.pc.in       |   11 +
 libmate-panel-applet/libmatepanelapplet-4.0.pc.in  |   11 +
 libmate-panel-applet/mate-panel-applet-factory.c   |  360 ++
 libmate-panel-applet/mate-panel-applet-factory.h   |   45 +
 libmate-panel-applet/mate-panel-applet-gsettings.c |  188 +
 libmate-panel-applet/mate-panel-applet-gsettings.h |   54 +
 .../mate-panel-applet-marshal.list                 |    5 +
 libmate-panel-applet/mate-panel-applet.c           | 2558 +++++++++
 libmate-panel-applet/mate-panel-applet.h           |  206 +
 ...e.panel.TestApplet.mate-panel-applet.desktop.in |   11 +
 libmate-panel-applet/panel-applet-private.h        |   39 +
 libmate-panel-applet/panel-plug-private.h          |   46 +
 libmate-panel-applet/panel-plug.c                  |  105 +
 libmate-panel-applet/test-dbus-applet.c            |  207 +
 makepot                                            |   17 +
 man/Makefile.am                                    |    8 +
 man/mate-desktop-item-edit.1                       |   40 +
 man/mate-panel-test-applets.1                      |   46 +
 man/mate-panel.1                                   |   47 +
 mate-clock.pot                                     |  567 ++
 mate-fish.pot                                      |  339 ++
 mate-panel.pot                                     | 3107 +++++++++++
 mate-panel/Makefile.am                             |  315 ++
 mate-panel/applet.c                                | 1396 +++++
 mate-panel/applet.h                                |  115 +
 mate-panel/button-widget.c                         |  933 ++++
 mate-panel/button-widget.h                         |   60 +
 mate-panel/drawer-private.h                        |  144 +
 mate-panel/drawer.c                                |  743 +++
 mate-panel/drawer.h                                |   50 +
 mate-panel/launcher.c                              | 1225 +++++
 mate-panel/launcher.h                              |   81 +
 .../libmate-panel-applet-private/Makefile.am       |   34 +
 .../panel-applet-container.c                       |  835 +++
 .../panel-applet-container.h                       |  122 +
 .../panel-applet-frame-dbus.c                      |  467 ++
 .../panel-applet-frame-dbus.h                      |   66 +
 .../panel-applet-mini.c                            |    5 +
 .../panel-applets-manager-dbus.c                   |  691 +++
 .../panel-applets-manager-dbus.h                   |   61 +
 mate-panel/libpanel-util/Makefile.am               |   40 +
 mate-panel/libpanel-util/panel-cleanup.c           |  110 +
 mate-panel/libpanel-util/panel-cleanup.h           |   52 +
 mate-panel/libpanel-util/panel-color.c             |  198 +
 mate-panel/libpanel-util/panel-color.h             |   13 +
 mate-panel/libpanel-util/panel-error.c             |   91 +
 mate-panel/libpanel-util/panel-error.h             |   50 +
 mate-panel/libpanel-util/panel-glib.c              |  165 +
 mate-panel/libpanel-util/panel-glib.h              |   47 +
 mate-panel/libpanel-util/panel-gtk.c               |  280 +
 mate-panel/libpanel-util/panel-gtk.h               |   62 +
 mate-panel/libpanel-util/panel-icon-chooser.c      |  533 ++
 mate-panel/libpanel-util/panel-icon-chooser.h      |   80 +
 mate-panel/libpanel-util/panel-keyfile.c           |  359 ++
 mate-panel/libpanel-util/panel-keyfile.h           |   79 +
 mate-panel/libpanel-util/panel-launch.c            |  287 +
 mate-panel/libpanel-util/panel-launch.h            |   68 +
 mate-panel/libpanel-util/panel-list.c              |  213 +
 mate-panel/libpanel-util/panel-list.h              |   57 +
 mate-panel/libpanel-util/panel-session-manager.c   |  172 +
 mate-panel/libpanel-util/panel-session-manager.h   |   53 +
 mate-panel/libpanel-util/panel-show.c              |  291 +
 mate-panel/libpanel-util/panel-show.h              |   56 +
 mate-panel/libpanel-util/panel-xdg.c               |  148 +
 mate-panel/libpanel-util/panel-xdg.h               |   44 +
 mate-panel/main.c                                  |  230 +
 mate-panel/mate-desktop-item-edit.c                |  225 +
 mate-panel/mate-panel.desktop.in                   |   17 +
 mate-panel/mate-submodules                         |    1 +
 mate-panel/menu.c                                  | 1408 +++++
 mate-panel/menu.h                                  |   79 +
 mate-panel/panel-a11y.c                            |  136 +
 mate-panel/panel-a11y.h                            |   44 +
 mate-panel/panel-action-button.c                   |  894 ++++
 mate-panel/panel-action-button.h                   |   97 +
 mate-panel/panel-action-protocol.c                 |  206 +
 mate-panel/panel-action-protocol.h                 |   43 +
 mate-panel/panel-addto.c                           | 1441 +++++
 mate-panel/panel-addto.h                           |   43 +
 mate-panel/panel-applet-frame.c                    | 1084 ++++
 mate-panel/panel-applet-frame.h                    |  147 +
 mate-panel/panel-applet-info.c                     |  133 +
 mate-panel/panel-applet-info.h                     |   57 +
 mate-panel/panel-applets-manager.c                 |  221 +
 mate-panel/panel-applets-manager.h                 |   76 +
 mate-panel/panel-background.c                      |  829 +++
 mate-panel/panel-background.h                      |  121 +
 mate-panel/panel-bindings.c                        |  261 +
 mate-panel/panel-bindings.h                        |   43 +
 mate-panel/panel-config-global.c                   |  145 +
 mate-panel/panel-config-global.h                   |   48 +
 mate-panel/panel-context-menu.c                    |  351 ++
 mate-panel/panel-context-menu.h                    |   34 +
 mate-panel/panel-ditem-editor-dialog.ui            |  322 ++
 mate-panel/panel-ditem-editor.c                    | 1618 ++++++
 mate-panel/panel-ditem-editor.h                    |  116 +
 mate-panel/panel-enums-gsettings.h                 |   83 +
 mate-panel/panel-enums.h                           |   61 +
 mate-panel/panel-force-quit.c                      |  372 ++
 mate-panel/panel-force-quit.h                      |   48 +
 mate-panel/panel-frame.c                           |  394 ++
 mate-panel/panel-frame.h                           |   71 +
 mate-panel/panel-globals.h                         |   42 +
 mate-panel/panel-icon-names.h                      |   40 +
 mate-panel/panel-layout.c                          |  417 ++
 mate-panel/panel-layout.h                          |   39 +
 mate-panel/panel-lockdown.c                        |  352 ++
 mate-panel/panel-lockdown.h                        |   56 +
 mate-panel/panel-marshal.list                      |    3 +
 mate-panel/panel-menu-bar.c                        |  530 ++
 mate-panel/panel-menu-bar.h                        |   84 +
 mate-panel/panel-menu-button.c                     | 1225 +++++
 mate-panel/panel-menu-button.h                     |  100 +
 mate-panel/panel-menu-items.c                      | 1622 ++++++
 mate-panel/panel-menu-items.h                      |   96 +
 mate-panel/panel-modules.c                         |   83 +
 mate-panel/panel-modules.h                         |   31 +
 mate-panel/panel-multimonitor.c                    |  696 +++
 mate-panel/panel-multimonitor.h                    |   52 +
 mate-panel/panel-profile.c                         | 1765 +++++++
 mate-panel/panel-profile.h                         |  151 +
 mate-panel/panel-properties-dialog.c               |  937 ++++
 mate-panel/panel-properties-dialog.h               |   41 +
 mate-panel/panel-properties-dialog.ui              |  864 +++
 mate-panel/panel-recent.c                          |  250 +
 mate-panel/panel-recent.h                          |   43 +
 mate-panel/panel-reset.c                           |   49 +
 mate-panel/panel-reset.h                           |   36 +
 mate-panel/panel-run-dialog.c                      | 2177 ++++++++
 mate-panel/panel-run-dialog.h                      |   40 +
 mate-panel/panel-run-dialog.ui                     |  321 ++
 mate-panel/panel-schemas.h                         |  101 +
 mate-panel/panel-separator.c                       |  275 +
 mate-panel/panel-separator.h                       |   72 +
 mate-panel/panel-session.c                         |   84 +
 mate-panel/panel-session.h                         |   40 +
 mate-panel/panel-shell.c                           |  165 +
 mate-panel/panel-shell.h                           |   38 +
 mate-panel/panel-stock-icons.c                     |  174 +
 mate-panel/panel-stock-icons.h                     |   66 +
 mate-panel/panel-struts.c                          |  530 ++
 mate-panel/panel-struts.h                          |   63 +
 mate-panel/panel-test-applets.c                    |  395 ++
 mate-panel/panel-test-applets.gresource.xml        |    6 +
 mate-panel/panel-test-applets.ui                   |  215 +
 mate-panel/panel-toplevel.c                        | 5539 ++++++++++++++++++++
 mate-panel/panel-toplevel.h                        |  183 +
 mate-panel/panel-types.h                           |   11 +
 mate-panel/panel-util.c                            | 1229 +++++
 mate-panel/panel-util.h                            |   73 +
 mate-panel/panel-widget.c                          | 3233 ++++++++++++
 mate-panel/panel-widget.h                          |  236 +
 mate-panel/panel-xutils.c                          |  274 +
 mate-panel/panel-xutils.h                          |   67 +
 mate-panel/panel.c                                 | 1555 ++++++
 mate-panel/panel.gresource.xml                     |   12 +
 mate-panel/panel.h                                 |   56 +
 mate-panel/wayland-backend.c                       |   82 +
 mate-panel/wayland-backend.h                       |   43 +
 mate-panel/xstuff.c                                |  429 ++
 mate-panel/xstuff.h                                |   29 +
 po/LINGUAS                                         |  135 +
 po/Makevars                                        |   79 +
 po/POTFILES.in                                     |   75 +
 po/POTFILES.skip                                   |    6 +
 po/af.po                                           | 3367 ++++++++++++
 po/am.po                                           | 3156 +++++++++++
 po/ar.po                                           | 3286 ++++++++++++
 po/as.po                                           | 3345 ++++++++++++
 po/ast.po                                          | 3385 ++++++++++++
 po/az.po                                           | 3231 ++++++++++++
 po/be.po                                           | 3346 ++++++++++++
 po/bg.po                                           | 3397 ++++++++++++
 po/bn.po                                           | 3338 ++++++++++++
 po/bn_IN.po                                        | 3361 ++++++++++++
 po/br.po                                           | 3377 ++++++++++++
 po/bs.po                                           | 3258 ++++++++++++
 po/ca.po                                           | 3454 ++++++++++++
 po/ca@valencia.po                                  | 3410 ++++++++++++
 po/cmn.po                                          | 3174 +++++++++++
 po/crh.po                                          | 3352 ++++++++++++
 po/cs.po                                           | 3411 ++++++++++++
 po/cy.po                                           | 3302 ++++++++++++
 po/da.po                                           | 3374 ++++++++++++
 po/de.po                                           | 3466 ++++++++++++
 po/dz.po                                           | 3417 ++++++++++++
 po/el.po                                           | 3446 ++++++++++++
 po/en_AU.po                                        | 3341 ++++++++++++
 po/en_CA.po                                        | 3280 ++++++++++++
 po/en_GB.po                                        | 3389 ++++++++++++
 po/eo.po                                           | 3351 ++++++++++++
 po/es.po                                           | 3470 ++++++++++++
 po/es_AR.po                                        | 3110 +++++++++++
 po/es_CL.po                                        | 3103 +++++++++++
 po/es_CO.po                                        | 3113 +++++++++++
 po/es_CR.po                                        | 3102 +++++++++++
 po/es_DO.po                                        | 3103 +++++++++++
 po/es_EC.po                                        | 3102 +++++++++++
 po/es_ES.po                                        | 3103 +++++++++++
 po/es_MX.po                                        | 3117 +++++++++++
 po/es_NI.po                                        | 3102 +++++++++++
 po/es_PA.po                                        | 3102 +++++++++++
 po/es_PE.po                                        | 3102 +++++++++++
 po/es_PR.po                                        | 3103 +++++++++++
 po/es_SV.po                                        | 3102 +++++++++++
 po/es_UY.po                                        | 3102 +++++++++++
 po/es_VE.po                                        | 3103 +++++++++++
 po/et.po                                           | 3350 ++++++++++++
 po/eu.po                                           | 3341 ++++++++++++
 po/fa.po                                           | 3290 ++++++++++++
 po/fi.po                                           | 3348 ++++++++++++
 po/fr.po                                           | 3492 ++++++++++++
 po/fr_CA.po                                        | 3103 +++++++++++
 po/frp.po                                          | 3102 +++++++++++
 po/fur.po                                          | 3247 ++++++++++++
 po/fy.po                                           | 3113 +++++++++++
 po/ga.po                                           | 3154 +++++++++++
 po/gl.po                                           | 3408 ++++++++++++
 po/gnome-copyrights.txt                            | 1449 +++++
 po/gu.po                                           | 3312 ++++++++++++
 po/ha.po                                           | 3304 ++++++++++++
 po/he.po                                           | 3309 ++++++++++++
 po/hi.po                                           | 3318 ++++++++++++
 po/hr.po                                           | 3323 ++++++++++++
 po/hu.po                                           | 3386 ++++++++++++
 po/hy.po                                           | 3358 ++++++++++++
 po/ia.po                                           | 3104 +++++++++++
 po/id.po                                           | 3427 ++++++++++++
 po/ie.po                                           | 3119 +++++++++++
 po/ig.po                                           | 3276 ++++++++++++
 po/is.po                                           | 3334 ++++++++++++
 po/it.po                                           | 3477 ++++++++++++
 po/ja.po                                           | 3265 ++++++++++++
 po/jv.po                                           | 3101 +++++++++++
 po/ka.po                                           | 3320 ++++++++++++
 po/kab.po                                          | 3103 +++++++++++
 po/kk.po                                           | 3134 +++++++++++
 po/km.po                                           | 2922 +++++++++++
 po/kn.po                                           | 3392 ++++++++++++
 po/ko.po                                           | 3241 ++++++++++++
 po/ks.po                                           | 2921 +++++++++++
 po/ku.po                                           | 3286 ++++++++++++
 po/ku_IQ.po                                        | 3101 +++++++++++
 po/ky.po                                           | 3299 ++++++++++++
 po/la.po                                           | 3103 +++++++++++
 po/li.po                                           | 3113 +++++++++++
 po/lt.po                                           | 3368 ++++++++++++
 po/lv.po                                           | 3338 ++++++++++++
 po/mai.po                                          | 3268 ++++++++++++
 po/mg.po                                           | 3355 ++++++++++++
 po/mi.po                                           | 3100 +++++++++++
 po/mk.po                                           | 3337 ++++++++++++
 po/ml.po                                           | 3394 ++++++++++++
 po/mn.po                                           | 3268 ++++++++++++
 po/mr.po                                           | 3333 ++++++++++++
 po/ms.po                                           | 3395 ++++++++++++
 po/nb.po                                           | 3405 ++++++++++++
 po/nds.po                                          | 3193 +++++++++++
 po/ne.po                                           | 3320 ++++++++++++
 po/nl.po                                           | 3480 ++++++++++++
 po/nn.po                                           | 3341 ++++++++++++
 po/nso.po                                          | 3318 ++++++++++++
 po/oc.po                                           | 3411 ++++++++++++
 po/or.po                                           | 3307 ++++++++++++
 po/pa.po                                           | 3304 ++++++++++++
 po/pl.po                                           | 3433 ++++++++++++
 po/pms.po                                          | 3100 +++++++++++
 po/ps.po                                           | 3120 +++++++++++
 po/pt.po                                           | 3428 ++++++++++++
 po/pt_BR.po                                        | 3429 ++++++++++++
 po/ro.po                                           | 3351 ++++++++++++
 po/ru.po                                           | 3477 ++++++++++++
 po/rw.po                                           | 3100 +++++++++++
 po/sc.po                                           | 3105 +++++++++++
 po/si.po                                           | 3114 +++++++++++
 po/sk.po                                           | 3358 ++++++++++++
 po/sl.po                                           | 3372 ++++++++++++
 po/sq.po                                           | 3350 ++++++++++++
 po/sr.po                                           | 3398 ++++++++++++
 po/sr@latin.po                                     | 3338 ++++++++++++
 po/sv.po                                           | 3408 ++++++++++++
 po/ta.po                                           | 3325 ++++++++++++
 po/te.po                                           | 3346 ++++++++++++
 po/th.po                                           | 3304 ++++++++++++
 po/tk.po                                           | 3100 +++++++++++
 po/tr.po                                           | 3404 ++++++++++++
 po/tt.po                                           | 3100 +++++++++++
 po/ug.po                                           | 3339 ++++++++++++
 po/uk.po                                           | 3389 ++++++++++++
 po/ur.po                                           | 3158 +++++++++++
 po/uz.po                                           | 3127 +++++++++++
 po/vi.po                                           | 3327 ++++++++++++
 po/wa.po                                           | 3103 +++++++++++
 po/xh.po                                           | 3304 ++++++++++++
 po/yi.po                                           | 3106 +++++++++++
 po/yo.po                                           | 3344 ++++++++++++
 po/zh_CN.po                                        | 3218 ++++++++++++
 po/zh_HK.po                                        | 3173 +++++++++++
 po/zh_TW.po                                        | 3206 +++++++++++
 po/zu.po                                           | 3270 ++++++++++++
 911 files changed, 703986 insertions(+)
